Project compatibilty to older BOUML versions

Please use this forum for open discussions about Bouml.
Merci d'utiliser ce forum pour des discussions ouvertes à propos de Bouml.

Project compatibilty to older BOUML versions

Postby RaulMartino » Tue 4 Feb 2014 08:22

If I create UML diagrams with the actual Bouml version > V6.0, is it still possible to open and
change these UML diagrams with the latest free version of Bouml or are there any incompatibilities?
I want to use Bouml first to make UML diagrams for class views and not for Code generation.

Thank you very much for your response, Raul
RaulMartino
 
Posts: 1
Joined: Mon 3 Feb 2014 14:54

Re: Project compatibilty to older BOUML versions

Postby Bruno Pagès » Tue 4 Feb 2014 10:01

An old version cannot load a model created/modified by a more recent version, so a free version of Bouml cannot open a model made by a non free version.

The two first numbers of a version indicate the compatibility, for any release of Bouml, free or not : a Bouml release x.y (whatever the possible ".z") is able to load a model made by a Bouml release a.b (whatever the possible ".c") while x.y >= a.b

Note that the viewer is free of use (no license needed) and can be used to load / show a project or apply a plug-out on it, for instance a code generator
ImageAuthor of Bouml
Bruno Pagès
 
Posts: 470
Joined: Mon 20 Feb 2012 08:23
Location: France


Return to Open discussions / Discussions ouvertes

Who is online

Users browsing this forum: No registered users and 2 guests

cron